List Kick channel emotes
List a Kick channel's emotes plus the shared global emotes and emoji.
Headers
Get your API keyAPI key (`sfk_...`)
Kick channel slug, case-insensitive. Most replace the username's underscores with hyphens (e.g. `alfalfa-kid`, not `alfalfa_kid`), but some keep an underscore (e.g. `pala_okey`).
min 1 chars · max 64 chars · pattern: ^[A-Za-z0-9_-]+$
Endpoint-specific response payload.
`not_found` when the channel slug does not resolve.
one of: found, not_found
Emotes the channel owns.
Emote id.
Emote code.
Whether it is for subscribers.
Public full-size image URL for the emote.
Kick's global emotes.
Emote id.
Emote code.
Whether it is for subscribers.
Public full-size image URL for the emote.
Kick's emoji set.
Emote id.
Emote code.
Whether it is for subscribers.
Public full-size image URL for the emote.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/kick/channels/xqc/emotes" \
-H "x-api-key: YOUR_API_KEY"Responses
Kick emotes.